Name:           freeseer
Version:        2.5.3
Release:        %mkrel 3

License:        GPLv3
Summary:        Video Capture Utility
URL:            https://github.com/fosslc/freeseer/wiki/
Group:          Video
Source0:        http://cloud.github.com/downloads/fosslc/freeseer/freeseer-2.5.3.tar.xz
Source1:        %{name}.png
Patch0:         freeseer-add-desktop-file.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:  libtool
BuildRequires:  pkgconfig
BuildRequires:  python-devel
BuildRequires:  python-qt4-devel
BuildRequires:  python-setuptools
BuildArch:      noarch
Requires:       python-feedparser
Requires:       python-qt4
Requires:       python-gobject
Requires:       gstreamer0.10-plugins-base
Requires:       python-sip


%description
Freeseer a video capture utility capable of capturing presentations or demos.
It can capture USB, firewire, local desktop, and more. It captures video and
audio and mixes them together to produce a video, thus enabling you to capture
great presentations, demos, or training material easily.

%prep
%setup -q
%patch0 -p1
cp %SOURCE1 ./data

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Video" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


%post
%update_menus


%postun
%clean_menus


%files
%defattr(-,root,root)
%doc *.txt
%{_bindir}/%{name}-*
%{python_sitelib}/%{name}
%{python_sitelib}/%{name}-*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*.png

%changelog
* Thu Nov 13 2014 pinoc <vogtpet at gmail.com> 2.5.3-3pclos2014
- rebuild against newer python-qt4

* Fri Aug 16 2013 billybot <billybot> 2.5.3-2pclos2013
- update python 2.7

* Fri Oct 19 2012 Neal <nealbrks0 at gmail dot com> 2.5.3-1pclos2012
- process

* Fri Oct 19 2012 Ken <lxgator at gmail.com> 2.5.3-1pclos2012
- initial build
